This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 3 risposte, has 2 voci.

Last updated by Alejandro 4 mesi fa.

Assigned support staff: Alejandro.

Autore Post
June 12, 2019 at 8:05 am #4001515

pasqualeD

Fatal error: Uncaught TypeError: Argument 1 passed to Twig_TokenParserBroker::addTokenParser() must be an instance of Twig\TokenParser\TokenParserInterface, instance of Twig_TokenParser_For given, called in /home/tabacch1/public_html/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php on line 1507 and defined in /home/tabacch1/public_html/wp-content/plugins/woocommerce-multilingual/vendor/twig/twig/lib/Twig/TokenParserBroker.php:53 Stack trace: #0 /home/tabacch1/public_html/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php(1507): Twig_TokenParserBroker->addTokenParser(Object(Twig_TokenParser_For)) #1 /home/tabacch1/public_html/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php(1459): Twig_Environment->initExtension(Object(Twig_Extension_Core)) #2 /home/tabacch1/public_html/wp-content/plugins/sitepress-multilingual-cms/vendor/twig/twig/lib/Twig/Environment.php(1381): Twig_Environment->initExtensions() #3 /home/tab in /home/tabacch1/public_html/wp-content/plugins/woocommerce-multilingual/vendor/twig/twig/lib/Twig/TokenParserBroker.php on line 53

June 12, 2019 at 2:08 pm #4005037

Alejandro
Supporter

Languages: Inglese (English ) Spagnolo (Español ) Italiano (Italiano )

Timezone: Europe/Rome (GMT+02:00)

Ciao!
Benvenuto al supporto cliente WPML.
Farò del mio meglio per aiutarti a risolvere questo problema.

Se questo problema ti è successo installando l'ultima versione di WPML, ti consiglio di fare un downgrade di versione. abbiamo tolto queste nuove versioni dal nostro sito per sistemarle per bene perché abbiamo trovato dei bug molto forti che devono essere sistemati al più presto.

Non perderai informazioni né niente del genere, quindi puoi farlo con sicurezza.

Saluti.

June 12, 2019 at 2:09 pm #4005041

pasqualeD

si infatti è successo in seguito all'aggiornamento. Come posso fare il downgrade?

June 12, 2019 at 3:01 pm #4005581

Alejandro
Supporter

Languages: Inglese (English ) Spagnolo (Español ) Italiano (Italiano )

Timezone: Europe/Rome (GMT+02:00)

Per fare il downgrade,

Scarica dal tuo account ( https://wpml.org/it/account/downloads/ ) la versione 4.2.6 di WPML e se hai aggiornato anche Translation Management e String Translation, allora scarichi la versione 2.8.5 e 2.10.4 rispettivamente.

Dopo, tramite FTP oppure tramite il file manager del tuo cpanel ( o software simile ) prima rinomina le cartelle che appartengono ai plugin WPML e successivamente carica le cartelle che ci sono nei file .zip che hai scaricato, così le rimpiazzerai senza nessun problema.

Fammi sapere come va.

The topic ‘[Closed] fatal error’ is closed to new replies.